import { Component } from '@angular/core';
import { BreadcrumbService } from '@app/commons/service/breadcrumb.service';
import { ActivatedRoute, Router } from '@angular/router';

@Component({
  selector: 'of-pages-noauth-probe-detail',
  templateUrl: './noauth-probe-detail-page.component.html',
})
export class NoAuthProbeDetailPageComponent {

  id: number;

  constructor(
    private breadcrumbService: BreadcrumbService,
    private activatedRoute: ActivatedRoute,
    private router: Router
  ) {
    breadcrumbService.setItems([
      { label: 'Probe', routerLink: ['/probe/list'] },
      { label: 'Unauthroized', routerLink: ['/probe/noauth'] },
    ]);
    this.id = this.activatedRoute.snapshot.params['id'];
  }

  onBack() {
    this.router.navigate(['probe/noauth']);
  }

}
